List Media

Lists the media belonging to the account. This endpoint can also be used to do a batch fetch based off of the hashed id.

Requires api token with one of the following permissions

Read all folder and media data
Query Params
integer

The page number to retrieve. This cannot be combined with cursor, pagination.

integer

The number of medias per page. Use this for both offset pagination and cursor pagination.

cursor
object

If cursor[enabled] is set to 1 than cursor pagination is enabled and the first set of records are fetched up to the per_page. Cursor pagination will also be turned on if cursor[before] or cursor[after] are set. Records returned will have a cursor property set which can be used to fetch more records in the same sort_by ordering. The cursor value of the last record can be used to fetch records after the current result set and the cursor of the first record can be used to fetch records before the result set.

NOTE: a cursor value is only valid if the sort_by value hasn't changed from the last fetch. For example, you cannot fetch using sort_by id and than pass that cursor value to a sort_by name.

string
enum

Ordering. When using cursor pagination (see cursor param), only id and created are supported. All other sort_by options (name, updated, position) require offset pagination.

Allowed:
integer
enum

Ordering Sort Direction (0 = desc, 1 = asc; default is 1)

Allowed:
string

A hashed ID specifying the folder from which you would like to get results.

string

Find a media or medias whose name exactly matches this parameter.

const
enum

Format for media descriptions

Allowed:
string
enum

A string specifying which type of media you would like to get.

Allowed:
hashed_ids[]
array of strings

Find all of the medias by these hashed_ids.

hashed_ids[]
tags[]
array of strings

Find all of the medias that match all of these tag names.

tags[]
boolean

Filter by archived status. True will return only archived medias, while false will return only active medias.

Headers
string
required
Defaults to 2026-03
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json